List Agents
curl --request GET \
--url https://sdk.nimbleway.com/v2/agents \
--header 'Authorization: Bearer <token>'import requests
url = "https://sdk.nimbleway.com/v2/agents"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sdk.nimbleway.com/v2/agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"display_name": "Company News Tracker",
"effort": "high",
"goals": [
{
"goal": "<string>",
"id": "<string>",
"order": 123
}
],
"icon": "<string>",
"id": "wsa_2af5b0e2-58b8-4b60-a1a4-9e57e4d33f00",
"is_active": true,
"output_schema": {},
"skill": "<string>",
"sources": {
"allow": [
{
"domains": [
"linkedin.com",
"crunchbase.com"
],
"id": "<string>",
"order": 123,
"title": "Professional networks"
}
],
"avoid": "<string>",
"block": [
{
"domains": [
"linkedin.com",
"crunchbase.com"
],
"id": "<string>",
"order": 123,
"title": "Professional networks"
}
],
"prioritize": "<string>"
},
"suggested_questions": [
{
"id": "<string>",
"order": 123,
"question": "<string>"
}
],
"updated_at": "2023-11-07T05:31:56Z",
"use_case": "research",
"agent_name": "<string>"
}
],
"limit": 123,
"offset": 123,
"total": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}List Agents
List the active Web Search Agents in your account. Results are scoped to the workspace resolved from your token (or the optional workspace_id query parameter) and paginated with offset/limit.
GET
/
v2
/
agents
List Agents
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Only return agents belonging to this workspace. Defaults to the workspace resolved from your token.
Number of items to skip before this page.
Required range:
x >= 0Maximum number of items to return (1-200).
Required range:
1 <= x <= 200Response
Successful Response
Was this page helpful?
⌘I